For the complete documentation index, see llms.txt. This page is also available as Markdown.

debug_traceblockbynumber - Worldchain

Example code for the debug_traceBlockByNumber JSON-RPC method. Complete guide on how to use debug_traceBlockByNumber JSON-RPC in GetBlock Web3 documentation.

Returns all traces of all transactions in a block by block number on the World Chain network.

Parameters

Parameter
Type
Description

blockNumber

string

Block number in hex, or "latest", "earliest", "pending"

tracerConfig

object

(Optional) Tracer configuration options

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "debug_traceBlockByNumber",
    "params": ["0x1A5C3B2", {}],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "debug_traceBlockByNumber",
    "params": ["0x1A5C3B2", {}],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": [
        {
            "txHash": "0x...",
            "result": {...}
        }
    ]
}

Response Parameters

Field
Type
Description

result

array

Array of trace results for each transaction in the block

Use Case

The debug_traceBlockByNumber method on World Chain is typically used for:

  • Block analysis

  • Transaction debugging

  • Gas analysis

  • Historical debugging

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?